TourServiceImpl (gCube Guided Tour Widget 1.6.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.widgets.guidedtour.server

## Class TourServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.widgets.guidedtour.server.TourServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, TourService

      public class TourServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements TourService

  The server side implementation of the RPC service.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `withinPortal`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TourServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getUniqueIdentifier(String portletid)` need to trunc to 75 char as declared in the schema ( type character varying(75))
    `void` | `setNotShowItAgain(String portletUniqueId)`
    `Boolean` | `showTour(String portletUniqueId)` check if a custom attribute with name portlet name exists

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### withinPortal

          public boolean withinPortal

  - ### Constructor Detail

    - #### TourServiceImpl

          public TourServiceImpl()

  - ### Method Detail

    - #### showTour

          public Boolean showTour(String portletUniqueId)

      check if a custom attribute with name portlet name exists
      Specified by:
        `showTour` in interface `TourService`

    - #### setNotShowItAgain

          public void setNotShowItAgain(String portletUniqueId)

      Specified by:
        `setNotShowItAgain` in interface `TourService`

    - #### getUniqueIdentifier

          public static String getUniqueIdentifier(String portletid)

      need to trunc to 75 char as declared in the schema ( type character varying(75))
      Parameters:
        `username` -
        `portletid` -
      Returns:

Copyright © 2014. All Rights Reserved.